classification
Title: Connector "|" missing between ImportError and LookupError
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, Richard Neumann, docs@python, terry.reedy
Priority: normal Keywords: easy, patch

Created on 2018-01-25 08:54 by Richard Neumann, last changed 2018-01-28 03:56 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1173 cocoatomo, 2018-01-27 05:03
PR 5372 merged python-dev, 2018-01-28 03:31
Messages (6)
msg310666 - (view) Author: Richard Neumann (Richard Neumann) Date: 2018-01-25 08:54
In the documentation of the built-in exceptions hierarchy, there is a "|" missing connecting ImportError and LookupError.

https://docs.python.org/3/library/exceptions.html#exception-hierarchy

From LookupError.__mro__ we can tell, that it is actually derived from Exception, thus there should be a "|" connecting it to the hierarchy under Exception to emphasize that (like between ArithmeticError and AssertionError).
msg310837 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-01-27 04:39
Agreed, like there is a bar between NameError and OSError.

The 2.7 version does not have the problem.
msg310838 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-01-27 05:05
PR-1173 fixed this for 3.7, but it was not backported then.  I added a comment there.
msg310906 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-01-28 03:32
I will backport the change to 3.6.
msg310908 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-01-28 03:52
New changeset d331515847f0a053b929e5a4795715cb111f42b3 by Mariatta (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-32664: Add missing "|" connector in Exceptions doc (GH-1173) (GH-5372)
https://github.com/python/cpython/commit/d331515847f0a053b929e5a4795715cb111f42b3
msg310910 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-01-28 03:56
Thanks!
History
Date User Action Args
2018-01-28 03:56:14Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg310910

stage: patch review -> resolved
2018-01-28 03:52:54Mariattasetmessages: + msg310908
2018-01-28 03:32:32Mariattasetassignee: docs@python -> Mariatta

messages: + msg310906
nosy: + Mariatta
2018-01-28 03:31:24python-devsetkeywords: + patch
stage: backport needed -> patch review
pull_requests: + pull_request5214
2018-01-27 05:05:11terry.reedysetkeywords: - patch

stage: patch review -> backport needed
messages: + msg310838
versions: - Python 3.7
2018-01-27 05:03:43cocoatomosetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5201
2018-01-27 04:39:19terry.reedysetnosy: + terry.reedy
messages: + msg310837
2018-01-25 15:05:59berker.peksagsetkeywords: + easy
stage: needs patch
versions: + Python 3.7
2018-01-25 08:54:10Richard Neumanncreate